/// <reference types="angular" />
export interface ICardMemberCheckbox {
    label: string;
    sublabel?: string;
    value: boolean;
    disabled: boolean;
}
export interface ICardMemberItem {
    label: string;
    sublabel?: string;
    value: string;
}
export declare enum CardType {
    SIMPLE,
    COMPLEX
}
export declare enum ComplexCardType {
    CHECKBOX,
    RADIO,
    STATIC
}
export declare class CardMemberCtrl implements ng.IComponentController {
    mdType: CardType;
    mdMemberType: string;
    mdId: string;
    mdIndex: number;
    mdTitle: string;
    mdSubtitle: string;
    mdImage: string;
    mdComplexCardType: ComplexCardType;
    mdCheckboxes: Array<ICardMemberCheckbox>;
    mdRadios: Array<ICardMemberItem>;
    mdItems: Array<ICardMemberItem>;
    mdRadioValue: string;
    mdRemoveLabel: string;
    mdReordering: boolean;
    mdReorderKeypress: Function;
    onUpdate: Function;
    onRemove: Function;
    onToggled: Function;
    toggled: boolean;
    isSimple: boolean;
    deleteAriaLabel: string;
    toggleAriaLabel: string;
    isSelected: boolean;
    $onInit(): void;
    toggle(): void;
    onRemoveClick(): void;
    onChangeRadio(radio: ICardMemberItem): void;
    onChange(): void;
    reorderKeypress($event: any): void;
}
export declare class CardMemberComponent implements ng.IComponentOptions {
    controller: typeof CardMemberCtrl;
    template: string;
    bindings: {
        mdId: string;
        mdIndex: string;
        mdType: string;
        mdComplexCardType: string;
        mdMemberType: string;
        mdTitle: string;
        mdSubtitle: string;
        mdImage: string;
        mdCheckboxes: string;
        mdRadios: string;
        mdRadioValue: string;
        mdItems: string;
        mdReordering: string;
        mdReorderKeypress: string;
        mdRemoveLabel: string;
        onUpdate: string;
        onRemove: string;
        onToggled: string;
        deleteAriaLabel: string;
        toggleAriaLabel: string;
        isSelected: string;
    };
}
