/// <reference types="angular" />
/// <reference types="angular-mocks" />
import { DropdownService } from '../../services/dropdown';
export interface IDay {
    day: number | string;
    month: number | string;
    year: number | string;
    enabled?: boolean;
    active?: boolean;
}
export interface IWeek {
    days: IDay[];
}
export declare class DatePickerController implements ng.IComponentController {
    private $dropdown;
    private $document;
    private $element;
    private $scope;
    private $timeout;
    static $inject: string[];
    private readonly DATE;
    private readonly DEFAULT_DATE_VALUE;
    private readonly DEFAULT_FORMAT;
    private readonly DEFAULT_VIEW_FORMAT;
    private readonly DEFAULT_LOCALE;
    private readonly MONTH;
    selectedDate: any;
    firstEnabledDate?: string;
    lastEnabledDate?: string;
    disabledTooltipText: string;
    placeholder: string;
    required: boolean;
    disabled: boolean;
    showYearArrow?: boolean;
    id?: string;
    setDate: any;
    onChangeFn?: Function;
    weeks: IWeek[];
    dayNames: string[];
    viewValue?: any;
    dateValue?: any;
    selectedDay?: any;
    selectedMonth?: any;
    aboveButton: boolean;
    datePickerForm: ng.IFormController;
    private _calendarOpened;
    private _format?;
    private _locale?;
    private _viewFormat?;
    private date?;
    private classList;
    constructor($dropdown: DropdownService, $document: ng.IDocumentService, $element: ng.IRootElementService, $scope: ng.IScope, $timeout: ng.ITimeoutService);
    $onInit(): void;
    $onChanges(changes: any): void;
    get format(): string;
    set format(format: string);
    get calendarOpened(): boolean;
    set calendarOpened(isOpen: boolean);
    get locale(): string;
    set locale(locale: string);
    get viewFormat(): string;
    set viewFormat(viewFormat: string);
    showCalendar(event: Event): void;
    hasClearButton(): boolean;
    closeCalendar(): void;
    prevYear(): void;
    prevMonth(): void;
    nextMonth: () => void;
    nextYear(): void;
    selectDate(event: Event, date: any): void;
    clearDate(event: Event): void;
    isSelectedDay(date: any): boolean;
    isToday(date: any): boolean;
    private generateCalendar;
    private generateDayNames;
    private setDates;
}
export declare class DatePickerComponent implements ng.IComponentOptions {
    controller: typeof DatePickerController;
    template: string;
    bindings: {
        format: string;
        viewFormat: string;
        firstEnabledDate: string;
        lastEnabledDate: string;
        disabledTooltipText: string;
        locale: string;
        placeholder: string;
        isRequired: string;
        isDisabled: string;
        isError: string;
        showYearArrow: string;
        id: string;
        selectedDate: string;
        onChangeFn: string;
    };
}
