/// <reference types="angular" />
/// <reference types="angular-mocks" />
import { DropdownService } from '../../services/dropdown';
import { ICountryCode } from './countrycodes';
export declare class PhoneNumberCtrl implements ng.IComponentController {
    private $dropdown;
    private $element;
    private $timeout;
    private phoneUtil;
    private _allowedRegions;
    private _menuOpen;
    private _countryCode;
    e164PhoneNumber: string;
    onChangeFn: Function;
    labelfield: string;
    dropUp: boolean;
    options: Array<ICountryCode>;
    phoneNumber: string;
    countryModel: ICountryCode;
    phoneNumberForm: ng.IFormController;
    isValid: boolean;
    static $inject: string[];
    constructor($dropdown: DropdownService, $element: ng.IRootElementService, $timeout: ng.ITimeoutService);
    $onInit(): void;
    $onChanges(changes: {
        [bindings: string]: ng.IChangesObject<any>;
    }): void;
    private isAllowedCountry;
    get allowedRegions(): Array<string>;
    set allowedRegions(regionList: Array<string>);
    get countryCode(): string;
    set countryCode(code: string);
    get menuOpen(): boolean;
    set menuOpen(menuOpen: boolean);
    isSelected(code: any): boolean;
    toggleOpen($event: Event): void;
    toggleKeypress($event: KeyboardEvent): void;
    listItemKeypress($event: KeyboardEvent, option: ICountryCode): void;
    getErrors(): any;
    hasDropdown(): boolean;
    hasErrors(): boolean;
    selectOption(option: ICountryCode): void;
    onPhoneNumberChange(): void;
    formatNumberNational(): void;
    formatNumberE164(): void;
    private onChange;
    private getAllowedRegions;
    private getCountryCode;
    private validateNumber;
    private setFormValidity;
    private getSelectedListElement;
}
export declare class PhoneNumberComponent implements ng.IComponentOptions {
    controller: typeof PhoneNumberCtrl;
    bindings: {
        e164PhoneNumber: string;
        isDisabled: string;
        isRequired: string;
        maxLength: string;
        type: string;
        countryCode: string;
        onChangeFn: string;
        allowedRegions: string;
        id: string;
        label: string;
        messages: string;
        warning: string;
        warningMessage: string;
        helpText: string;
        groupSize: string;
        toggleAria: string;
    };
    template: string;
}
