/** @component search-filter */
/// <reference types="angular" />
import { IBreakpointRootScopeService } from '../../directives/breakpoint';
export declare class SearchFilterCtrl implements ng.IComponentController {
    private $element;
    private $rootScope;
    private activeFilter;
    private inputFocus;
    private searchStr;
    private clear;
    tableCount: any;
    ngModelCtrl: ng.INgModelController;
    setFilterFn: (filterObject: any) => void;
    searchItemFn: (searchObject: any) => void;
    onCleared: () => void;
    isDisabled: boolean;
    static $inject: string[];
    constructor($element: ng.IRootElementService, $rootScope: IBreakpointRootScopeService);
    findall(): void;
    setFilter(filter: any): void;
    isLargeScreen(): boolean;
    searchItem(searchStr: string): void;
    clearSearch(): void;
    focusInput(): void;
    $onInit(): void;
    $onChanges(changes: {
        [bindings: string]: ng.IChangesObject<any>;
    }): void;
}
export declare class SearchFilter implements ng.IComponentOptions {
    controller: typeof SearchFilterCtrl;
    controllerAs: string;
    require: {
        ngModelCtrl: string;
    };
    bindings: {
        clearAriaText: string;
        filters: string;
        setFilterFn: string;
        isDisabled: string;
        placeholderText: string;
        searchItemFn: string;
        hideCount: string;
        clear: string;
        onCleared: string;
        searchPlaceholderText: string;
    };
    template: string;
}
