/// <reference types="angular" />
/// <reference types="angular-mocks" />
export interface ISidenavAdmin extends ng.IScope {
    collapsed: {
        value: boolean;
    };
    autoCollapsed: boolean;
    selectedPage: any;
    pages: any[];
    isSmallScreen: () => boolean;
    toggleCollapse: (event: Event) => void;
    selectPage: (index: number, event: Event) => void;
    onResizeFn?: Function;
    onClickItemFn?: Function;
}
export interface ISidenavAdminFooter extends ng.IScope {
    collapsed: {
        value: boolean;
    };
    selectAdminPage: (index: number, event: Event) => void;
    selectedPage: any;
    adminpages: any[];
}
declare class SidenavAdmin implements ng.IDirective {
    private $location;
    private $window;
    private $timeout;
    constructor($location: ng.ILocationService, $window: ng.IWindowService, $timeout: ng.ITimeoutService);
    restrict: 'E';
    transclude: boolean;
    scope: {
        collapsed: string;
        pages: string;
        headertitle: string;
        icon: string;
        image: string;
        onResizeFn: string;
        onClickItemFn: string;
    };
    template: string;
    link: ng.IDirectiveLinkFn;
}
export declare function sidenavAdminFactory($location: any, $window: any, $timeout: any): SidenavAdmin;
export declare namespace sidenavAdminFactory {
    var $inject: string[];
}
declare class SidenavAdminFooter implements ng.IDirective {
    private $location;
    constructor($location: ng.ILocationService);
    restrict: string;
    transclude: boolean;
    scope: {
        collapsed: string;
        adminpages: string;
        partner: string;
    };
    template: string;
    link: ng.IDirectiveLinkFn;
}
export declare function sidenavAdminFooterFactory($location: any): SidenavAdminFooter;
export declare namespace sidenavAdminFooterFactory {
    var $inject: string[];
}
export {};
