/**
* @name Spinners States
*
* @category communication
* @component loader-spinner
* @section states
* @hidecode true
*
* @html
  <div class="domd-example domd-example--spacing">
    <h3>Default <code class="small">md-spinner</code></h3>
    <md-spinner></md-spinner>
  </div>
  <div class="domd-example domd-example--spacing">
    <h3>Default <code class="small">md-spinner size:20</code></h3>
    <md-spinner size="20"></md-spinner>
  </div>
  <div class="domd-example domd-example--spacing">
    <h3>Default <code class="small">md-spinner size:28</code></h3>
    <md-spinner size="28"></md-spinner>
  </div>
  <div class="domd-example domd-example--spacing">
    <h3>Default <code class="small">md-spinner size:36</code></h3>
    <md-spinner size="36"></md-spinner>
  </div>
  <div class="domd-example domd-example--spacing">
    <h3>Blue <code class="small">md-spinner color:blue</code></h3>
    <md-spinner color="blue"></md-spinner>
  </div>
  <div class="domd-example domd-example--spacing">
    <h3>Blue <code class="small">md-spinner size:20 color:blue</code></h3>
    <md-spinner color="blue" size="20"></md-spinner>
  </div>
  <div class="domd-example domd-example--spacing">
    <h3>Blue <code class="small">md-spinner size:28 color:blue</code></h3>
    <md-spinner color="blue" size="28"></md-spinner>
  </div>
  <div class="domd-example domd-example--spacing">
    <h3>Blue <code class="small">md-spinner size:36 color:blue</code></h3>
    <md-spinner color="blue" size="36"></md-spinner>
  </div>
*
*
*/
/// <reference types="angular" />
/**
* @component spinner
* @category communication
*/
export declare class SpinnerCtrl implements ng.IComponentController {
    size?: string;
    color?: string;
    $onInit(): void;
}
export declare class SpinnerComponent implements ng.IComponentOptions {
    controller: typeof SpinnerCtrl;
    template: string;
    bindings: {
        size: string;
        color: string;
        spinnerClass: string;
    };
}
