export declare function mdToggleSwitch(): {
    restrict: string;
    replace: boolean;
    scope: {
        size: string;
        id: string;
        name: string;
        ngModel: string;
        isDisabled: string;
        mdChange: string;
        mdTrueValue: string;
        mdFalseValue: string;
        mdKeypressFn: string;
        mdAriaLabel: string;
        mdLabel: string;
    };
    template: string;
    link: (scope: any) => void;
};
/**
* @name Default Toggle Switch
* @description Toggle Switches are useful.
*
* @category controls
* @component toggle-switch
* @section default
*
* @html

<md-toggle-switch
  ng-model="ctrl.button1"
  toggle-id="toggle1"
  name="toggleExample1"
  md-label="Label">
</md-toggle-switch>
**/
/**
* @name Disabled Toggle Switch
* @description Toggle Switches are useful.
*
* @category controls
* @component toggle-switch
* @section disabled
*
* @html

<md-toggle-switch
  is-disabled="true"
  ng-model="ctrl.button1"
  toggle-id="toggle2"
  name="toggleExample2"
  md-label="Label">
</md-toggle-switch>
**/
