/// <reference types="angular" />
export declare class TopbarComponent implements ng.IComponentOptions {
    template: string;
    bindings: {
        [binding: string]: string;
    };
    controller: typeof Topbar;
    transclude: {
        topnav: string;
        topbarright: string;
    };
}
export declare class Topbar {
    appTitle: string;
    appIcon: string;
    appImage: string;
    appLink?: string;
    topBarColor: string;
    topBarFixed?: string;
    constructor();
}
/**
// @name Topbar
// @description Application or site header for user based applications. for
// Admin base applications, see top-bar--admin.
//
// @category navigation
// @component topbar
* @section user-topbar
*
* @html
*   <md-topbar
*     app-title="$ctrl.appTitle"
*     app-image="$ctrl.appImage"
*     app-icon="$ctrl.appIcon">
*   </md-topbar>
*
* @param app-title - title text (string or template)
* @param app-image - image sourc url (string or template)
* @param app-icon - icon class (string or template)
*
*/
