/**
* @name Loading Button
* @description Change the State of Button to loading
*
* @category forms
* @component buttons
* @section loading
*
* @html
*   <button md-btn class="md-button md-button--blue" loading="$ctrl.loading" ng-click="$ctrl.loading = !$ctrl.loading">Button Text</button>
*
*   <button md-btn class="md-button md-button--mint md-button--52" loading="$ctrl.loading2" ng-click="$ctrl.loading2 = !$ctrl.loading2">Button Text 2</button>
*
*   <button md-btn type="button" class="md-button md-button--circle md-button--52 md-button--blue" loading="$ctrl.loading3" ng-click="$ctrl.loading3 = !$ctrl.loading3"><span class="icon icon-search"></span></button>
*
*   <button md-btn type="button" class="md-button md-button--circle md-button--small md-button--orange icon" loading="$ctrl.loading4" ng-click="$ctrl.loading4 = !$ctrl.loading4"><span class="icon-search"></span></button>
*
*   <button class="md-button" ng-click="$ctrl.loading = false; $ctrl.loading2 = false; $ctrl.loading3 = false; $ctrl.loading4 = false">Reset Loading State</button>
*
* @param loading - triggers loading state (expression)
* @param ngDisabled - disables button (boolean or expression)
*
*/
export declare function mdBtn(): {
    restrict: string;
    transclude: boolean;
    replace: boolean;
    priority: number;
    scope: {
        loading: string;
        ngDisabled: string;
    };
    template: string;
    link: (scope: any, elem: any, attrs: any) => void;
};
