/**
* @name Collapse Directive
* @description Provides a simple way to hide and show an element with a css transition.
*
* @html
*   <div ng-controller="CollapseExampleController as $ctrl">
*     <button class="md-button" ng-click="$ctrl.isCollapsed = !$ctrl.isCollapsed">Toggle collapse</button>
*     <hr>
*     <div collapse="$ctrl.isCollapsed">
*       <div class="well well-lg">Some content</div>
*     </div>
*   </div>
*
* @param loading - triggers loading state (expression)
*
* @js
*   angular
*      .module('app.containers')
*      .controller('CollapseExampleController', CollapseExampleController);
*     function CollapseExampleController() {
*       var vm = this;
*       vm.isCollapsed = true;
*     }
*
* @param md-collapse - expand or collapse (expression)
*
*/
export declare function mdCollapse($animate: any, $q: any, $parse: any, $injector: any): {
    link: (scope: any, element: any, attrs: any) => void;
};
export declare namespace mdCollapse {
    var $inject: string[];
}
