/// <reference types="angular" />
export declare class $tooltip implements ng.IServiceProvider {
    constructor();
    private defaultOptions;
    private triggerMap;
    private globalOptions;
    /**
     * `options({})` allows global configuration of all tooltips in the
     * application.
     *
     *   var app = angular.module( 'App', ['ui.bootstrap.tooltip'], function( $tooltipProvider ) {
     *     // place tooltips left instead of top by default
     *     $tooltipProvider.options( { placement: 'left' } );
     *   });
     */
    options: (value: any) => void;
    /**
     * This allows you to extend the set of trigger mappings available. E.g.:
     *
     *   $tooltipProvider.setTriggers( 'openTrigger': 'closeTrigger' );
     */
    setTriggers: (triggers: any) => void;
    /**
     * This is a helper function for translating camel-case to snake_case.
     */
    private snake_case;
    $get: (string | (($window: any, $compile: any, $timeout: any, $document: any, $position: any, $interpolate: any, $rootScope: any, $parse: any, $$stackedMap: any) => (ttType: any, prefix: any, defaultTriggerShow: any, options: any) => {
        compile: (tElem: any, tAttrs: any) => (scope: any, element: any, attrs: any, tooltipCtrl: any) => void;
    }))[];
}
export declare function tooltipPopup(): {
    restrict: string;
    replace: boolean;
    scope: {
        content: string;
        placement: string;
        animation: string;
        isOpen: string;
        showcaret: string;
        popupClass: string;
    };
    template: string;
};
export declare function tooltipTemplateTransclude($animate: any, $sce: any, $compile: any, $templateRequest: any): {
    link: (scope: any, elem: any, attrs: any) => void;
};
export declare namespace tooltipTemplateTransclude {
    var $inject: string[];
}
export declare function tooltip($tooltip: any): any;
export declare namespace tooltip {
    var $inject: string[];
}
export declare function tooltipHtmlUnsafePopup(): {
    restrict: string;
    replace: boolean;
    scope: {
        content: string;
        placement: string;
        animation: string;
        isOpen: string;
        showcaret: string;
    };
    template: string;
};
export declare function tooltipHtmlUnsafe($tooltip: any): any;
export declare namespace tooltipHtmlUnsafe {
    var $inject: string[];
}
export declare function tooltipHtmlPopup(): {
    replace: boolean;
    scope: {
        contentExp: string;
        placement: string;
        popupClass: string;
        animation: string;
        isOpen: string;
        showcaret: string;
    };
    template: string;
};
export declare function tooltipHtml($tooltip: any): any;
export declare namespace tooltipHtml {
    var $inject: string[];
}
export declare function tooltipTemplatePopup(): {
    restrict: string;
    scope: {
        contentExp: string;
        originScope: string;
        showcaret: string;
    };
    template: string;
};
export declare function tooltipTemplate($tooltip: any): any;
export declare namespace tooltipTemplate {
    var $inject: string[];
}
export declare function tooltipClasses($position: any): {
    restrict: string;
    link: (scope: any, element: any, attrs: any) => void;
};
export declare namespace tooltipClasses {
    var $inject: string[];
}
