export declare function mdModalBackdrop($animate: any, $injector: any, $modalStack: any): {
    replace: boolean;
    template: string;
    compile: (tElement: any, tAttrs: any) => (scope: any, element: any, attrs: any) => void;
};
export declare namespace mdModalBackdrop {
    var $inject: string[];
}
export declare function mdModalWindow($modalStack: any, $q: any, $animate: any, $animateCss: any, $document: any): {
    scope: {
        index: string;
    };
    replace: boolean;
    transclude: boolean;
    template: (tElement: any, tAttrs: any) => any;
    link: (scope: any, element: any, attrs: any) => void;
};
export declare namespace mdModalWindow {
    var $inject: string[];
}
export declare function mdModalAnimationClass(): {
    compile: (tElement: any, tAttrs: any) => void;
};
export declare function mdModalTransclude(): {
    link: (scope: any, element: any, attrs: any, controller: any, transclude: any) => void;
};
export declare function mdModalStack($animate: any, $animateCss: any, $compile: any, $document: any, $rootScope: any, $q: any, $$multiMap: any, $$stackedMap: any): {
    NOW_CLOSING_EVENT: string;
    open: (modalInstance: any, modal: any) => void;
    close: (modalInstance: any, result: any) => boolean;
    dismiss: (modalInstance: any, reason: any) => boolean;
    dismissAll: (reason: any) => void;
    getTop: () => any;
    modalRendered: (modalInstance: any) => void;
    focusFirstFocusableElement: () => boolean;
    focusLastFocusableElement: () => boolean;
    isModalFocused: (evt: any) => boolean;
    isFocusInFirstItem: (evt: any) => boolean;
    isFocusInLastItem: (evt: any) => boolean;
    clearFocusListCache: () => void;
    loadFocusElementList: () => void;
};
export declare namespace mdModalStack {
    var $inject: string[];
}
export declare function mdModal(): {
    options: {
        animation: boolean;
        backdrop: string;
        keyboard: boolean;
    };
    $get: (string | (($rootScope: any, $q: any, $document: any, $templateRequest: any, $controller: any, $mdResolve: any, $modalStack: any) => {
        getPromiseChain: () => any;
        open: (modalOptions: any) => {
            result: any;
            opened: any;
            closed: any;
            rendered: any;
            close: (result: any) => any;
            dismiss: (reason: any) => any;
        };
    }))[];
};
/**
* @name Modal
* @description <p><code>$modal</code> is a service to quickly create AngularJS-powered modal windows.Creating custom modals is straightforward: create a partial view, its controller and reference them when using the service.</p><p>The <code>$modal</code> service has only one method: <code>open(options)</code> where available options are like follows:</p><ul><li><code>templateUrl</code> - a path to a template representing modal&apos;s content</li><li><code>template</code> - inline template representing the modal&apos;s content</li><li><code>scope</code> - a scope instance to be used for the modal&apos;s content (actually the <code>$modal</code> service is going to create a child scope of a provided scope). Defaults to <code>$rootScope</code></li><li><code>controller</code> - a controller for a modal instance - it can initialize scope used by modal. Accepts the "controller-as" syntax, and can be injected with <code>$modalInstance</code></li><li><code>resolve</code> - members that will be resolved and passed to the controller as locals;it is equivalent of the <code>resolve</code> property for AngularJS routes</li><li><code>backdrop</code> - controls presence of a backdrop. Allowed values: true (default), false (no backdrop), <code>&apos;static&apos;</code> - backdrop is present but modal window is not closed when clicking outside of the modal window.</li><li><code>keyboard</code> - indicates whether the dialog should be closable by hitting the ESC key, defaults to true</li><li><code>modalId</code> - ID to be added to a modal window template</li><li><code>modalClass</code> - additional CSS class(es) to be added to a modal window template</li><li><code>windowTemplateUrl</code> - a path to a template overriding modal&apos;s window template</li><li><code>type</code> - optional type of modal . Allowed values: <code>&apos;md-modal--large&apos;</code> (large) or <code>&apos;small&apos;</code> (smaller) or <code>&apos;dialog&apos;</code> (dialog modal).</li></ul><p>The <code>open</code> method returns a modal instance, an object with the following properties:</p><ul><li><code>close(result)</code> - a method that can be used to close a modal, passing a result</li><li><code>dismiss(reason)</code> - a method that can be used to dismiss a modal, passing a reason</li><li><code>result</code> - a promise that is resolved when a modal is closed and rejected when a modal is dismissed</li><li><code>opened</code> - a promise that is resolved when a modal gets opened after downloading content&apos;s template and resolving all variables</li></ul><p>In addition the scope associated with modal&apos;s content is augmented with 2 methods:</p><ul><li><code>$close(result)</code></li><li><code>$dismiss(reason)</code></li></ul><p>Those methods make it easy to close a modal window without a need to create a dedicated controller</p>
* @category container
* @component modal
* @section default
*/
